#import "../Fragments/System.graphql"

#import "../Fragments/Alert.graphql"

query GetSiteConfig($locale: String!) {
  all_site_config(limit: 1, locale: $locale) {
    items {
      sitewide_alert {
        booking_widget_disabled
        alertConnection {
          edges {
            node {
              ...Alert
            }
          }
        }
      }
    }
  }
}

query GetSiteConfigRef($locale: String!) {
  all_site_config(limit: 1, locale: $locale) {
    items {
      sitewide_alert {
        alertConnection {
          edges {
            node {
              ...AlertRef
            }
          }
        }
      }
      system {
        ...System
      }
    }
  }
}
